#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package}.test;


import java.io.InputStream;
import java.util.Hashtable;
import org.coos.messaging.InteractionHelper;
import org.coos.messaging.plugin.test.DefaultTest;
import org.coos.messaging.Exchange;
import org.coos.messaging.Message;
import org.coos.messaging.plugin.simple.SimpleProducer;
import ${package}.api.${parentArtifactId}MessageFactory;

public class ${parentArtifactId}Test extends DefaultTest {

	public void test${parentArtifactId}Endpoint() {
		
        SimpleProducer producer = (SimpleProducer) getTestPlugins()[0].getEndpoint().createProducer();
        
        Exchange ex;
        System.out.println("testing example api");
        ex=${parentArtifactId}MessageFactory.createExampleMethodExchange("Testing the example");
        InteractionHelper helper=new InteractionHelper(producer.getEndpoint());
        helper.send("coos://${parentArtifactId}",ex);
        
        assertEquals(true, true);
        
	}

	@Override
	public InputStream loadTestPlugin() {
		return this.getClass().getResourceAsStream("/sePlugin.xml");
	}
    
}
